<!DOCTYPE html>
<html lang="zh-tw">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>註冊</title>

  <!-- 引入Bootstrap 5.0 CDN -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>

  <!-- jQuery CDN -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body class="bg-light">
  <!-- 頂端工具列 -->
  <div id="header"></div>
  <div class="container vh-100">
    <!-- 預留頂端工具列下空間 -->
    <div style="height: 56px;"></div>
    <div class="mt-5 mx-auto" style="max-width: 700px;">
      <h1>註冊帳號</h1>
      <form class="mt-4" novalidate>
        <div class="form-floating mb-3">
          <input type="text" class="form-control" id="lastName" name="lastName" placeholder="姓氏" required>
          <label for="lastName" class="px-4 form-label">姓氏<span style="color: red;">*</span></label>
          <div id="lastNameFeedback" class="invalid-feedback">不能為空白</div>
        </div>
        <div class="form-floating mb-3">
          <input type="text" class="form-control" id="firstName" name="firstName" placeholder="名字" required>
          <label for="firstName" class="px-4 form-label">名字<span style="color: red;">*</span></label>
          <div id="lastNameFeedback" class="invalid-feedback">不能為空白</div>
        </div>
        <div class="form-floating mb-3">
          <input type="email" class="form-control" id="email" name="email" placeholder="name@example.com" required>
          <label for="email" class="px-4">Email<span style="color: red;">*</span></label>
          <div id="emailFeedback" class="invalid-feedback">Email格式不符</div>
        </div>
        <div>
          <small type="" class="text-muted" data-bs-toggle="tooltip" data-bs-placement="right" title="應有8字元以上，並包含至少一個英文字元與數字字元">
              密碼規則
          </small>
        </div>
        <div class="form-floating mb-3">
          <input type="password" class="form-control" id="password" name="password" placeholder="Password" required>
          <label for="password" class="px-4">密碼<span style="color: red;">*</span></label>
          <div id="passwordFeedback" class="invalid-feedback">不符合密碼規則</div>
        </div>
        <div class="form-floating mb-3">
          <input type="password" class="form-control" id="confirmPassword" placeholder="confirmPassword" required>
          <label for="confirmPassword" class="px-4">確認密碼<span style="color: red;">*</span></label>
          <div id="confirmPassword" class="invalid-feedback">密碼與確認密碼不相同</div>
        </div>
        <div class="d-flex justify-content-center">
          <button type="button" id="submit" class="btn btn-primary px-3">註冊</button>
        </div>
      </form>
    </div>
  </div>

  <script src="/co_kitchen/statics/js/account/register.js"></script>
  <script src="/co_kitchen/statics/js/header.js"></script>
</body>
</html>